[TxMt] Re: How to install Actionscript 3 TEMPLATE correctly?

Hans-Jörg Bibiko bibiko at eva.mpg.de
Thu Nov 13 16:45:09 UTC 2008

On 13.11.2008, at 16:44, marsteller wrote:

> I've been using TextMate a while and have installed the  
> Actionscript 3 bundle as per http://flashalisious.com/2007/07/30/ 
> installing-as3-and-flex-bundle-for-textmate/. I did this on my last  
> computer, and got a bunch of nifty templates (Sprite, etc), that  
> had large areas of the .as file blocked out (EVENT HANDLERS,  
> PRIVATE METHODS, etc). I got a new machine here at work and  
> installed the bundle as per above, and although I now have the  
> templates again, they don't have all the content they used to; and  
> in fact come up with a sort of cryptic package designation, i.e.  
> package .var.folders.lB.lBw3509ZExidE+zqzMfB2oHT-Fk.-Tmp- { I'm not  
> at all an expert at TextMate, but like it a lot (we're registered  
> users here). Can anyone suggest a fix to get things back to how  
> they once were? Thanks very much!
> View this message in context: How to install Actionscript 3  
> TEMPLATE correctly?
> Sent from the textmate users mailing list archive at Nabble.com.

Maybe the problem is that the svn repository was relocated.

Thus you have to change the URLs:

svn co http://macromates.com/svn/Bundles/trunk/Review/Bundles/ 

svn co http://macromates.com/svn/Bundles/trunk/Review/Bundles/ 
ActionScript\ 3.tmbundle


svn co http://svn.textmate.org/trunk/Review/Bundles/Flex.tmbundle

svn co http://svn.textmate.org/trunk/Review/Bundles/ActionScript% 

But I'm not quite sure whether this causes that error because the old  
svn repo should yet work but it won't be updated anymore.

And an other point: Did you updated TM (cutting edge) and the  
'Support Folder' (http://manual.macromates.com/en/bundles chapter  
5.7.2 to 5.7.4) ?


More information about the textmate mailing list